Bug 803882 - [RFE] Add support for [non-] heap memory metrics in AS7 plugin
[RFE] Add support for [non-] heap memory metrics in AS7 plugin
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.3
Unspecified Unspecified
high Severity unspecified (vote)
: ---
: RHQ 4.4.0
Assigned To: Heiko W. Rupp
Mike Foley
https://github.com/jicken/rhq/commit/...
:
Depends On:
Blocks: as7-plugin
  Show dependency treegraph
 
Reported: 2012-03-15 15:52 EDT by Torben Jaeger
Modified: 2013-09-01 05:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-01 05:57:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch to 4.3.0.GA (14.31 KB, patch)
2012-03-15 15:52 EDT, Torben Jaeger
no flags Details | Diff
D2D patch against master (15.63 KB, patch)
2012-03-20 10:27 EDT, Torben Jaeger
no flags Details | Diff

  None (edit)
Description Torben Jaeger 2012-03-15 15:52:37 EDT
Created attachment 570424 [details]
patch to 4.3.0.GA

Description of problem:
No JVM monitoring of AS7 possible

Version-Release number of selected component (if applicable):
jboss-as-7-plugin 4.3.0.GA

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:
gather metrics of JVM exposed by the platform mbean

Additional info:
patch is based on branch release-4.3.0.GA
D2D plugin.xml generation is complex type agnostic now
Comment 1 Charles Crouch 2012-03-19 11:54:21 EDT
Heiko
We need to evaluate this in comparison to the jmx plugin. Surely the jmx plugin has more capabilities?
Comment 2 Heiko W. Rupp 2012-03-19 12:55:58 EDT
Comment on attachment 570424 [details]
patch to 4.3.0.GA

Torben can you please re-do the patch to Domain2Descriptor, as this does not apply at all to head
Comment 3 Heiko W. Rupp 2012-03-19 16:02:04 EDT
An augmented version of the plugin descriptor + BaseComponent have been committed to 
master as 3ab56e0
Comment 4 Torben Jaeger 2012-03-20 10:27:31 EDT
Created attachment 571429 [details]
D2D patch against master
Comment 5 Heiko W. Rupp 2012-03-21 15:53:52 EDT
final D2D patch is committed with some changes (and reformatting)

master d3e833edf52




QA: D2D is a developer tool, no need to look into this.
Comment 6 Heiko W. Rupp 2013-09-01 05:57:56 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.